package org.example;
import org.hibernate.annotations.Type;
import javax.persistence.*;
import java.time.ZonedDateTime;

@Entity
@Table(name = "\"Borrows\"")
public class Borrow {

    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @Column(name = "borrow_id")
    private Long id;

    @ManyToOne(fetch = FetchType.LAZY)
    @JoinColumn(name = "user_id")
    private User user;

    @ManyToOne(fetch = FetchType.LAZY)
    @JoinColumn(name = "book_id")
    private Book book;

    @Column(name = "borrow_date")
    @Type(type = "org.hibernate.type.ZonedDateTimeType")
    private ZonedDateTime borrowDate;

    @Column(name = "return_date")
    @Type(type = "org.hibernate.type.ZonedDateTimeType")
    private ZonedDateTime returnDate;


    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public User getUser() {
        return user;
    }

    public void setUser(User user) {
        this.user = user;
    }

    public Book getBook() {
        return book;
    }

    public void setBook(Book book) {
        this.book = book;
    }

    public ZonedDateTime getBorrowDate() {
        return borrowDate;
    }

    public void setBorrowDate(ZonedDateTime borrowDate) {
        this.borrowDate = borrowDate;
    }

    public ZonedDateTime getReturnDate() {
        return returnDate;
    }

    public void setReturnDate(ZonedDateTime returnDate) {
        this.returnDate = returnDate;
    }
}
